> For the complete documentation index, see [llms.txt](https://docs.tzmc.dev/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tzmc.dev/docs/qb-core/coin-pinching/config.md).

# Config

```lua
TZMCCoinPinchConfig = {}

TZMCCoinPinchConfig.CooldownTime = 600

TZMCCoinPinchConfig.Models = {
    phone = {
        reward = {
            type = 'cash', -- The type of reward, e.g., 'cash' or 'bank'
            minimum = 10,  -- Minimum amount of cash that can be awarded
            maximum = 50,  -- Maximum amount of cash that can be awarded
            items = {      -- A list of possible items the player can receive
                joint = 5  -- The item name ('joint') and its probability (5%) of being awarded
            },
        },
        models = {         -- List of applicable phonebox models
            'sf_prop_sf_phonebox_01b_s',
            'prop_phonebox_01c',
            'p_phonebox_01b_s',
            'prop_phonebox_02',
            'prop_phonebox_01a',
            'ch_chint02_phonebox001',
            'prop_phonebox_03',
            'prop_phonebox_01b',
            'sf_prop_sf_phonebox_01b_straight',
            'p_phonebox_02_s',
            'prop_phonebox_04',
        }
    },
    parkingMeter = {
        reward = {
            type = 'cash',
            minimum = 10,
            maximum = 50,
            items = {},
        },
        models = {
            'prop_parknmeter_01',
            'prop_parknmeter_02'
        }
    },
    gumball = {
        reward = {
            type = 'cash',
            minimum = 10,
            maximum = 50,
            items = {
                tosti = 100,
                twerks_candy = 75,
                snikkel_candy = 50,
            },
        },
        models = {
            'prop_gumball_01',
            'prop_gumball_02',
            'prop_gumball_03'
        }
    }
}

TZMCCoinPinchConfig.Target = {
    search = {
        text = "Search",
        icon = "fa-solid fa-magnifying-glass"
    }
}

TZMCCoinPinchConfig.ProgressBar = {
    searchingText = "Searching",
    time = 7 -- How many seconds does the progress bar last for
}

TZMCCoinPinchConfig.Text = {
    entityAlreadyChecked = "This has already been searched."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/coin-pinching/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
